<p-card [style]="{width: 'width'}" styleClass="styleClass">
    
    <div class="p-formgroup p-grid">
        <div class="p-col-12">
            <div class="p-field">
                <h3>Carrito: Resumen de venta</h3>
            </div>
        <p-table #dt 
            [columns]="cols"
            [value]="carroItemsList" 
            [rows]="10" 
            [paginator]="false" 
            [globalFilterFields]="['name','country.name','representative.name','status']" 
            responsiveLayout="scroll"
          
            [rowHover]="true" 
            dataKey="id"
            currentPageReportTemplate="Showing {first} to {last} of {totalRecords} entries" 
            [showCurrentPageReport]="true">
            <!-- <ng-template pTemplate="caption">
                <div class="flex align-items-center justify-content-between">
                    <h5 class="m-0">Manage Products</h5>
                    <span class="p-input-icon-left">
                        <i class="pi pi-search"></i>
                        <input pInputText type="text" (input)="dt.filterGlobal($event.target.value, 'contains')" placeholder="Search..." />
                    </span>
                </div>
            </ng-template> -->
            <ng-template pTemplate="header" let-columns>
                <tr>
                    <th style="width: 3rem">
                        <p-tableHeaderCheckbox></p-tableHeaderCheckbox>
                    </th>
                    <th scope="col" *ngFor="let col of columns">
                        {{col.header}}
                    </th>
                  
                     <!-- 
                    <th pSortableColumn="name">Name <p-sortIcon field="name"></p-sortIcon></th>
                    <th>Image</th>
                    <th pSortableColumn="price">Price <p-sortIcon field="price"></p-sortIcon></th>
                    <th pSortableColumn="category">Category <p-sortIcon field="category"></p-sortIcon></th>
                    <th pSortableColumn="rating">Reviews <p-sortIcon field="rating"></p-sortIcon></th>
                    <th pSortableColumn="inventoryStatus">Status <p-sortIcon field="inventoryStatus"></p-sortIcon></th>
                    <th></th> -->
                </tr>
            </ng-template>
            <ng-template pTemplate="body" let-rowData let-columns="columns">
                <tr>
                    <td>
                        <p-tableCheckbox [value]="carroItemsList"></p-tableCheckbox>
                    </td>
                    <ng-container *ngFor="let col of columns">
                        <td [ngClass]="{'': col.aling}">
                            {{rowData.claseDisp[col.field]==='*' ? ' ': rowData.claseDisp[col.field]}}
                            <span *ngIf="col.field==='acciones'">
                                <button pButton icon="pi pi-times" class="p-button-rounded" (click)="eliminarItem(rowData)"></button>
                            </span>
                        </td>
                    </ng-container>
                    <!-- <td>
                        <p-tableCheckbox [value]="product"></p-tableCheckbox>
                    </td>
                    <td>{{product.name}}</td>
                    <td><img [src]="'assets/showcase/images/demo/product/' + product.image" [alt]="product.name" width="100" class="shadow-4" /></td>
                    <td>{{product.price | currency:'USD'}}</td>
                    <td>{{product.category}}</td>
                    <td><p-rating [ngModel]="product.rating" [readonly]="true" [cancel]="false"></p-rating></td>
                    <td><span [class]="'product-badge status-' + (product.inventoryStatus ? product.inventoryStatus.toLowerCase() : '')">{{product.inventoryStatus}}</span></td> -->
                    <!-- <td>
                        <button pButton pRipple icon="pi pi-pencil" class="p-button-rounded p-button-success mr-2" (click)="editProduct(product)"></button>
                        <button pButton pRipple icon="pi pi-trash" class="p-button-rounded p-button-warning" (click)="deleteProduct(product)"></button>
                    </td> -->
                </tr>
            </ng-template>
            <!-- <ng-template pTemplate="summary">
                <div class="flex align-items-center justify-content-between">
                    In total there are {{products ? products.length : 0 }} products.
                </div>
            </ng-template> -->
        </p-table>
        <div class="p-field">

            <h3>Opciones</h3>
            <button pButton label="Regresar" style="margin: 0.5rem;" class="p-button-outlined"></button>
            <button pButton label="Realizar pago" style="margin: 0.5rem;" class="p-button-success"></button>
        </div>
        </div>
    </div>
</p-card>
